aspose file tools*
The moose likes Java Micro Edition and the fly likes AGUIXLET and javax.swing package does not exist Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


Win a copy of Java 8 in Action this week in the Java 8 forum!
JavaRanch » Java Forums » Mobile » Java Micro Edition
Bookmark "AGUIXLET and javax.swing package does not exist" Watch "AGUIXLET and javax.swing package does not exist" New topic
Author

AGUIXLET and javax.swing package does not exist

hendry se
Greenhorn

Joined: Sep 25, 2012
Posts: 5
Hello people.. i have a little trouble in learning J2ME..

I'm trying to create a AGUIXlet inside netbeans but it seems that it always give an error which is "javax.swing package does not exist"
the same thing happens when i create CrEmE application..
i have been searching for solution for more than 3 days and it never seems to give me a correct answer..

some says that the jdk is not properly installed..
some says to install mobility pack 5.5.1 & java ME 3 sdk (which i'm confused with as i read that the netbeans bundle already have it inside (dunno whether it does or not))..
some says the JAVA_HOME is not set..

i have tested all of this solution and yet no result shows up..
i'm terribly desperate for a correct answer.. and i hope somebody can help me in this.. thank you very much in advance..
peace.. =]
Darryl Burke
Bartender

Joined: May 03, 2008
Posts: 4523
    
    5

Hello hendry and welcome to the Ranch! Have you gone through the NetBeans Mobility 6.0 CDC Development Quick Start Guide?

Are you sure you want to target CDC devices? There aren't many of those out there. Learning to develop MIDlets for CLDC/MIDP devices (Java enabled mobile phones, etc.) may make more sense, or not.


luck, db
There are no new questions, but there may be new answers.
hendry se
Greenhorn

Joined: Sep 25, 2012
Posts: 5
that guide requires me to install netbeans 5.5 instead of using newest version of netbeans..
is it a must?
and i cant seems to find netbeans 6 mobility too.. since the download from that guide is already gone..
and the plugin the guide as me to find.. i cant seems to find them inside the netbeans..

as for why CDC.. I'm not really sure.. I'm told to develop a system for windows mobile / windows CE using J2ME..
so i was following a book and eventually got stuck in the building the CDC application..

a little question though.. from what i read.. i thought that cdc are something that is better than CDLC?? are CDC not MIDLet as well??
CDC is meant for higher level of PDA or something like that right??
I'm totally new to this J2ME development environment.. so actually I'm kinda lost in all this whole bunch of information flooding in.. plus all the errors I'm getting.. T.T

would be very grateful if i could get some guide or additional help.. =]
Darryl Burke
Bartender

Joined: May 03, 2008
Posts: 4523
    
    5

I've never really looked at developing for CDC, so I can't answer all your questions. I do know that the CLDC/MIDP profile is fairly widely implemented on phones, including WinMo up to 6.5; also that Xlets don't run on CLDC/MIDP. No idea about Windows Phone, but it depends more on the manufacturer then on the OS.

Any kind of Java ME development is fraught with the uncertainties of device fragmentation, as each manufacturer implements their own KVM, with resulting incompatibilities. Although probably not yet available for mobile devices, JavaFX 2 may be a better bet in the long term.

If you decide to develop for CLDC/MIDP, you can use the Java ME SDK, which is a kind of mini-NetBeans. Or you can use NetBeans with the Mobility Pack.
hendry se
Greenhorn

Joined: Sep 25, 2012
Posts: 5
well.. thank you very much for your reply Darryl.. =]
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: AGUIXLET and javax.swing package does not exist
 
Similar Threads
Tags question
javax.servlet does not exist - Jbuilder 12 issue
Please heeelp..Can't get "packages" to work
tool tip
EJB3 persistence unit setup in JBoss